Subject: bug#22107: this-command-keys no longer returns prefix argument

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 May 2016 17:10:28 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Fri, 13 May 2016 11:52:41 +0000
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> 
> On Wed, May 11, 2016, 10:22 AM Stefan [email-masked]> wrote:
> 
>  You mean, are this-command-keys-vector and this-single-command-keys
>  100% equivalent all the time? I wish I was able to give you an answer.
>  They appear to be
> 
> At this point it is a documentation bug. this-command-keys and this-single-command-keys are equivalent. But
> the documentaion still says that this-single-command-keys does not return prefix argument unlike
> this-command-keys. In fact, none of them return the prefix arg.
> 
> So 
> 
> (1) The docstring of this-single-command-keys needs to be fixed. 
> (2) NEWS also needs to mention that this-command-keys no longer returns prefix arg. 
> 
> Going forward (not for this bug or emacs-25): If someone can review that this-command-keys-vector and
> this-single-command-keys are ACTUALLY the same, can then this-single-command-keys be marked
> obsolete and an alias to the other for the next release? If that seems like the next action, I can file a separate
> bug report for that.

If this is a documentation bug, then it's not a documentation bug,
because it means one of the two variables should be obsoleted.

And I don't think the view that the current behavior is correct is
shared by everyone.

So I don't see how you can be so sure about this.